<template lang="html">
  <content-screen mode="page">
    <h1>Credit Card Partners</h1>
    <partner-quote
      receiveAmount="0.998 BTC"
      receiveAmountConverted="$8,900"
      sendAmount="$9000"
      fee="$100"
      paymentMethod="Card"
      delivery="1-2 Business Days"
      name="Moonpay"
      currencies="USD"
      limit="$50-$20,000"
      :active="partner=='moonpay'"
      @click.native="partner='moonpay'"
    />
    <partner-quote
      receiveAmount="0.998 BTC"
      receiveAmountConverted="$8,900"
      sendAmount="$9000"
      fee="$100"
      paymentMethod="Credit Card"
      delivery="1-2 Business Days"
      name="Simplex"
      currencies="USD"
      limit="$50-$20,000"
      :active="partner=='simplex'">
      <partner-message :userActions="simplexAction" :handling="simplexHandling" @action="simplexHandling=true" />
    </partner-quote>
    <partner-quote
      receiveAmount="0.996 BTC"
      receiveAmountConverted="$8,900"
      sendAmount="$8,910"
      fee="$10"
      paymentMethod="Credit Card"
      delivery="3-4 Business Days"
      name="Wyre"
      currencies="USD"
      limit="$5-$20,000"
      documents="Drivers license or Passport"
      kyc="incomplete"
      :active="partner=='wyre'"
      :settings="{}"
      @click.native="partner='wyre'"
    />
    <partner-quote
      receiveAmount="1 BTC"
      receiveAmountConverted="$8,900"
      sendAmount="$8,910"
      fee="$10"
      paymentMethod="Credit Card"
      delivery="3-4 Business Days"
      name="Coinify"
      currencies="USD"
      limit="$5-$10,000"
      kyc="complete"
      :active="partner=='coinify'"
      :settings="{}"
      @click.native="partner='coinify'"
    />
    <partner-quote
      receiveAmount="1 BTC"
      receiveAmountConverted="$8,900"
      sendAmount="$8,910"
      fee="$10"
      paymentMethod="Credit Card"
      delivery="3-4 Business Days"
      name="Coinberry"
      currencies="USD"
      limit="$5-$10,000"
      kyc="complete"
      :active="partner=='coinberry'"
      @click.native="partner='coinberry'"
    />
    <partner-quote name="Simplex" receiveAmount="0.00005024 BTC" :receiveAmountConverted='{ numerator: "1000000000000000000","denominator":"1000000000000000000", currency: "azn", }' from="azn">
      <partner-message message="You must increase your purchase amount to the partner's minimum." partner="simplex" title="Amount is below minimum" :limit='{"numerator":"86000000000000000000","denominator":"1000000000000000000","currency":"azn","scale":18}' @click="actionHandler" />
    </partner-quote>
    <partner-quote name="Coinify" from="eur" to="btc" :receiveAmount='{currency:"BTC",denominator:"100000000",numerator:"1001500"}' :receiveAmountConverted='{currency:"EUR",denominator:"100",numerator:"9000",precision:"2",symbol:"€"}' sendAmount="100" fee="10">
      <partner-message :userActions="coinifyActions2" @action="actionHandler" />
    </partner-quote>
    <partner-quote name="Coinify" from="eur" to="btc" :receiveAmount='{currency:"BTC",denominator:"100000000",numerator:"1001500"}' :receiveAmountConverted='{currency:"EUR",denominator:"100",numerator:"9000",precision:"2",symbol:"€"}' sendAmount="100" fee="10">
      <partner-message title="Register" :form="coinifyForm1" :userActions="coinifyActions1" @action="actionHandler" @validate="validate" />
    </partner-quote>
    <partner-quote
      receiveAmount="1 BTC"
      receiveAmountConverted="0.12323231232 BRD"
      sendAmount="$8,910"
      fee="$10"
      paymentMethod="Credit Card"
      delivery="3-4 Business Days"
      name="Changelly"
      :promotions="changellyPromo" />
  </content-screen>
</template>

<script>
export default {
  data: _ => ({ 
    partner: 'simplex',
    coinifyForm1: [
      {
        type: 'email',
        label: 'Email',
        name: 'email',
        verify: true,
      },
      {
        type: 'password',
        label: 'Password',
        name: 'password',
      },
      {
        type: 'checkbox',
        name: 'emailConsent',
        label: 'I agree that Coinify can send me occasional emails with account related material such as reports, guides, and surveys.'
      },
      {
        type: 'checkbox',
        name: 'acceptTOS',
        label: 'Coinify terms of service and privacy policy.',
        link: 'https://coinify.com/legal/',
      }
    ],
    coinifyActions1: [{ 
      title: 'Register',
      require: ['email','password'],
    },{ 
      title: 'Recover Account', 
      style: 'secondary',
      require: ['email'],
    }],
    coinifyActions2: [{"type":"rpc","method":"coinify/registerForm","params":{"method":"coinify/registerForm"},"title":"Register"},{"type":"rpc","method":"coinify/loginForm","params":{"method":"coinify/loginForm"},"title":"Recover Account","style":"secondary"}],
    changellyPromo: [{
      "label":"Rewards",
      "valueText":"25% off trading fees",
      "note": "Your reward will be applied once your transaction is processed.",
      "class":"promotion"
    }],
    simplexAction: [{
      "type":"rpc",
      "method":"simplex/execute",
      "params":{"quoteId":"5660f558-71c8-441f-a5c4-ab2cbdf09362",
      "from":{"numerator":"5100","denominator":"100","currency":"USD","scale":2},
      "to":{"numerator":"19029110000000000","denominator":"1000000000000000000","currency":"ETH","scale":18},
      "fee":{"numerator":"1116","denominator":"100","currency":"USD","scale":2},
      "subtotal":{"numerator":"3984","denominator":"100","currency":"USD","scale":2}},
      "title":"Complete transaction with Simplex",
      "schema":{"properties":{"address":{"type":"string","blockchainRef":"eth"}}}
    }],
    simplexHandling: false,
  }),
  methods: {
    actionHandler(action) {
      console.log('action handler', action);
    },
    validate(hash) {
      if(hash.action == 'confirm') hash.context.validated = true;
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'butter-mixins';
h1 {
  margin: $grid*2.75 0;
}
</style>
